DoubleTypeDescriptor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type.descriptor.sql
Class DoubleTypeDescriptor

    java.lang.Object
      org.hibernate.type.descriptor.sql.DoubleTypeDescriptor

All Implemented Interfaces:
  Serializable, SqlTypeDescriptor

    public class DoubleTypeDescriptor

extends Object
implements SqlTypeDescriptor

Descriptor for `DOUBLE` handling.

See Also:
  Serialized Form

Field Summary
`static DoubleTypeDescriptor` | `INSTANCE`

Constructor Summary
`DoubleTypeDescriptor()`

Method Summary
`boolean` | `canBeRemapped()` Is this descriptor available for remapping?
`
`<X> ValueBinder<X>`
` | `getBinder(JavaTypeDescriptor<X> javaTypeDescriptor)`
`
`<X> ValueExtractor<X>`
` | `getExtractor(JavaTypeDescriptor<X> javaTypeDescriptor)`
`int` | `getSqlType()` Return the JDBC type-code for the column mapped by this type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DoubleTypeDescriptor INSTANCE

Constructor Detail

### DoubleTypeDescriptor

    public DoubleTypeDescriptor()

Method Detail

### getSqlType

    public int getSqlType()

  Description copied from interface: `SqlTypeDescriptor`
  Return the JDBC type-code for the column mapped by this type.

  Specified by:
    `getSqlType` in interface `SqlTypeDescriptor`
  Returns:
    typeCode The JDBC type-code

### canBeRemapped

    public boolean canBeRemapped()

  Description copied from interface: `SqlTypeDescriptor`
  Is this descriptor available for remapping?

  Specified by:
    `canBeRemapped` in interface `SqlTypeDescriptor`
  Returns:
    `true` indicates this descriptor can be remapped; otherwise, `false`
  See Also:
    `WrapperOptions.remapSqlTypeDescriptor(org.hibernate.type.descriptor.sql.SqlTypeDescriptor)`, `Dialect.remapSqlTypeDescriptor(org.hibernate.type.descriptor.sql.SqlTypeDescriptor)`

### getBinder

    public <X> ValueBinder<X> getBinder(JavaTypeDescriptor<X> javaTypeDescriptor)

  Specified by:
    `getBinder` in interface `SqlTypeDescriptor`

### getExtractor

    public <X> ValueExtractor<X> getExtractor(JavaTypeDescriptor<X> javaTypeDescriptor)

  Specified by:
    `getExtractor` in interface `SqlTypeDescriptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.